Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#55128 - [wine-staging] crashes involving libglx_nvidia.so that don't manifest in non-arch version

Attached to Project: Community Packages
Opened by qptain Nemo (qptain_Nemo) - Sunday, 13 August 2017, 13:11 GMT
Last edited by Felix Yan (felixonmars) - Saturday, 16 September 2017, 14:37 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Felix Yan (felixonmars)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 5
Private No

Details

Description: Wine Staging, provided by the package version 2.14-1 crashes with a lot of games, predominantly older ones, as described here https://bugs.winehq.org/show_bug.cgi?id=43530 This doesn't happen with a non-arch build of the same version provided by Lutris for instance.


Additional info:
* package version(s) - wine-staging 2.14-1, nvidia 384.59-4
* config and/or log files etc. - nothing of note that isn't mentioned in the wine bug report


Steps to reproduce: install, try to run any of the affected games (Anachronox, Arcanum etc)
This task depends upon

Closed by  Felix Yan (felixonmars)
Saturday, 16 September 2017, 14:37 GMT
Reason for closing:  Fixed
Comment by Felix Yan (felixonmars) - Wednesday, 23 August 2017, 07:33 GMT
Does it make a difference with the latest 384.69 nvidia driver?
Comment by Dmitry (AE86) - Thursday, 24 August 2017, 06:27 GMT
Game: 100% Orange Juice (Steam), wine-staging 2.15-1, nvidia 384.59-5. Doesn't crash when running with nouveau.
Comment by Artur (Commander) - Saturday, 26 August 2017, 13:53 GMT
Try nvidia-full-beta-all in AUR to see if it also has the same issues.
I use the AUR pkg since its less fuss to have latest beta drivers but they are pkged differently so may be a chance.
Comment by Timmy (Shinryuu) - Monday, 28 August 2017, 11:40 GMT
I can confirm that this happens on wine and wine-staging packages on both win32 and win64 prefixes. Nouveau works out of the box though. Using wine-stable from AUR seems to solve the problem at least for now. I also built nvidia-full-beta-all from AUR with 32bit packages as well like Artur (Commander) suggested but the issue still persists and I have no idea what might be causing this. My log doesn't seem to differ much at all from Dmitry (AE86)'s file. It's all related to libglx_nvidia.so.0 it seems.
Comment by Felix Yan (felixonmars) - Thursday, 31 August 2017, 07:27 GMT
Update: The problem should be related to our recent build flag change. I have pushed wine-staging 2.15-2 to the repos with the new flags removed, please try if it fixes the problem for you. Other variants will follow soon.
Comment by Dmitry (AE86) - Thursday, 31 August 2017, 09:29 GMT
Solves problem for me.
Comment by David Roth (V1del) - Sunday, 10 September 2017, 17:08 GMT
Seems to have accidentally slipped in again with 2.16-1
Comment by Felix Yan (felixonmars) - Saturday, 16 September 2017, 14:37 GMT
Turns out -fno-plt is also involved. Should be fixed in 2.16-2.

Loading...